umult32(3)

NAME
umult32 - integer multiplication with overflow checking

SYNTAX
#include <libowfat/safemult.h>

int umult32(uint32 a,uint32 b,uint32* c);

DESCRIPTION
umult32 does c=a*b and returns 1.

In case of an integer overflow, umult32 leaves c alone and returns 0.

SEE ALSO
umult16(3), imult32(3), umult64(3)